PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Fields
Layer Struct Reference

## Data Fields
gctUINT | layer_id
gctBOOL | layer_sec
gctBOOL | enable
gctUINT8 | resource [100]
viv_dc_buffer | buffer
char | format_string [20]
char | tiling_string [40]
gctUINT32 | plane_num
gctUINT32 | bpp [3]
gctUINT | aligned_width [3]
gctUINT | aligned_height [3]
gctUINT32 | fb_size
gctPOINTER | handle
gctPOINTER | logical
gctADDRESS | hardwareAddress
viv_dc_color | clear_color
gctBOOL | clear_color_enable
gctBOOL | roi_enable
viv_dc_rect | roi_rect
gctUINT32 | br_x
gctUINT32 | br_y
viv_dc_rect | display_rect
viv_dc_color | colorkey
viv_dc_color | colorkey_high
gctBOOL | transparency
viv_rotation_type | rot
viv_filter_tap_type | filter_tap
gctBOOL | scale_enable
viv_tilestatus_buffer | tilestatus_buffer
gctBOOL | decompress_enable
viv_cache_mode | cache_mode
viv_layer_alpha_mode | alpha
gctBOOL | alpha_blend_enable
viv_porter_duff_mode | blend_mode
char | blend_mode_string [20]
char | src_global_alpha_mode_string [20]
char | src_alpha_mode_string [20]
char | dst_global_alpha_mode_string [20]
char | dst_alpha_mode_string [20]
gctUINT32 | watermark_value
viv_display | display_id
gctUINT8 | zorder
gctUINT32 | qos_low
gctUINT32 | qos_high

## Field Documentation

## ◆ layer_id

gctUINT Layer::layer_id

## ◆ layer_sec

gctBOOL Layer::layer_sec

## ◆ enable

gctBOOL Layer::enable

## ◆ resource

gctUINT8 Layer::resource[100]

## ◆ buffer

viv_dc_buffer Layer::buffer

## ◆ format_string

char Layer::format_string[20]

## ◆ tiling_string

char Layer::tiling_string[40]

## ◆ plane_num

gctUINT32 Layer::plane_num

## ◆ bpp

gctUINT32 Layer::bpp[3]

## ◆ aligned_width

gctUINT Layer::aligned_width[3]

## ◆ aligned_height

gctUINT Layer::aligned_height[3]

## ◆ fb_size

gctUINT32 Layer::fb_size

## ◆ handle

gctPOINTER Layer::handle

## ◆ logical

gctPOINTER Layer::logical

## ◆ hardwareAddress

gctADDRESS Layer::hardwareAddress

## ◆ clear_color

viv_dc_color Layer::clear_color

## ◆ clear_color_enable

gctBOOL Layer::clear_color_enable

## ◆ roi_enable

gctBOOL Layer::roi_enable

## ◆ roi_rect

viv_dc_rect Layer::roi_rect

## ◆ br_x

gctUINT32 Layer::br_x

## ◆ br_y

gctUINT32 Layer::br_y

## ◆ display_rect

viv_dc_rect Layer::display_rect

## ◆ colorkey

viv_dc_color Layer::colorkey

## ◆ colorkey_high

viv_dc_color Layer::colorkey_high

## ◆ transparency

gctBOOL Layer::transparency

## ◆ rot

viv_rotation_type Layer::rot

## ◆ filter_tap

viv_filter_tap_type Layer::filter_tap

## ◆ scale_enable

gctBOOL Layer::scale_enable

## ◆ tilestatus_buffer

viv_tilestatus_buffer Layer::tilestatus_buffer

## ◆ decompress_enable

gctBOOL Layer::decompress_enable

## ◆ cache_mode

viv_cache_mode Layer::cache_mode

## ◆ alpha

viv_layer_alpha_mode Layer::alpha

## ◆ alpha_blend_enable

gctBOOL Layer::alpha_blend_enable

## ◆ blend_mode

viv_porter_duff_mode Layer::blend_mode

## ◆ blend_mode_string

char Layer::blend_mode_string[20]

## ◆ src_global_alpha_mode_string

char Layer::src_global_alpha_mode_string[20]

## ◆ src_alpha_mode_string

char Layer::src_alpha_mode_string[20]

## ◆ dst_global_alpha_mode_string

char Layer::dst_global_alpha_mode_string[20]

## ◆ dst_alpha_mode_string

char Layer::dst_alpha_mode_string[20]

## ◆ watermark_value

gctUINT32 Layer::watermark_value

## ◆ display_id

viv_display Layer::display_id

## ◆ zorder

gctUINT8 Layer::zorder

## ◆ qos_low

gctUINT32 Layer::qos_low

## ◆ qos_high

gctUINT32 Layer::qos_high